#include <iostream>
using namespace std;


int main(){
int a,b;
char c,d;

cin.get(c);
cin.get(d);
cin>>a>>b;


a=a-b;
if(a>1||a<-1){cout<<"nemoguce";return 0;}
if(a<0){b--;cout<<"d";}
while (b>0){b--;cout<<"c"<<"d";}
if(a>0){cout<<"c";}

}